>From d2cfaea9c07b06cfb94d932e76916c2cb2392c01 Mon Sep 17 00:00:00 2001
From: Rolf Eike Beer <eike@sf-mail.de>
Date: Mon, 19 Jan 2015 22:22:39 +0100
Subject: [PATCH 1/3] apply CSS also for speed_limit signals tagged with DE-ESO

---
 styles/maxspeed.mapcss | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/styles/maxspeed.mapcss b/styles/maxspeed.mapcss
index dd1491e..18bb020 100644
--- a/styles/maxspeed.mapcss
+++ b/styles/maxspeed.mapcss
@@ -1118,6 +1118,7 @@ node|z16-[railway=signal]["railway:signal:speed_limit_distant"=zs3v]["railway:si
 }
 
 /* German line speed signals (Lf 7) */
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=10],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=10]
 {
 	z-index: 300;
@@ -1127,6 +1128,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=20],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=20]
 {
 	z-index: 305;
@@ -1136,6 +1138,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=30],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=30]
 {
 	z-index: 310;
@@ -1145,6 +1148,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=40],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=40]
 {
 	z-index: 315;
@@ -1154,6 +1158,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=50],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=50]
 {
 	z-index: 320;
@@ -1163,6 +1168,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=60],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=60]
 {
 	z-index: 325;
@@ -1172,6 +1178,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=70],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=70]
 {
 	z-index: 330;
@@ -1181,6 +1188,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=80],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=80]
 {
 	z-index: 335;
@@ -1190,6 +1198,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=90],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=90]
 {
 	z-index: 340;
@@ -1199,6 +1208,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=100],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=100]
 {
 	z-index: 345;
@@ -1208,6 +1218,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=110],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=110]
 {
 	z-index: 350;
@@ -1217,6 +1228,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=120],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=120]
 {
 	z-index: 355;
@@ -1226,6 +1238,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=130],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=130]
 {
 	z-index: 360;
@@ -1235,6 +1248,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=140],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=140]
 {
 	z-index: 365;
@@ -1244,6 +1258,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=150],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=150]
 {
 	z-index: 370;
@@ -1253,6 +1268,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=160],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=160]
 {
 	z-index: 375;
@@ -1262,6 +1278,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=170],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=170]
 {
 	z-index: 380;
@@ -1271,6 +1288,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=180],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=180]
 {
 	z-index: 390;
@@ -1280,6 +1298,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=190],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=190]
 {
 	z-index: 395;
@@ -1289,6 +1308,7 @@ node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:spee
 	allow-overlap: true;
 }
 
+node|z14-[railway=signal]["railway:signal:speed_limit"="DE-ESO:lf7"]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=200],
 node|z14-[railway=signal]["railway:signal:speed_limit"=lf7]["railway:signal:speed_limit:form"=sign]["railway:signal:speed_limit:speed"=200]
 {
 	z-index: 399;
-- 
1.8.4.5

